/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class ScheduledServiceTypeResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private String id;

    /**
     * Field name
     */
    private String name;

    /**
     * Field properties
     */
    private java.util.List properties;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addProperty
     * 
     * @param scheduledServiceTypePropertyResource
     */
    public void addProperty(ScheduledServiceTypePropertyResource scheduledServiceTypePropertyResource)
    {
        if ( !(scheduledServiceTypePropertyResource instanceof ScheduledServiceTypePropertyResource) )
        {
            throw new ClassCastException( "ScheduledServiceTypeResource.addProperties(scheduledServiceTypePropertyResource) parameter must be instanceof " + ScheduledServiceTypePropertyResource.class.getName() );
        }
        getProperties().add( scheduledServiceTypePropertyResource );
    } //-- void addProperty(ScheduledServiceTypePropertyResource) 

    /**
     * Get null
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get null
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Method getProperties
     */
    public java.util.List getProperties()
    {
        if ( this.properties == null )
        {
            this.properties = new java.util.ArrayList();
        }
        
        return this.properties;
    } //-- java.util.List getProperties() 

    /**
     * Method removeProperty
     * 
     * @param scheduledServiceTypePropertyResource
     */
    public void removeProperty(ScheduledServiceTypePropertyResource scheduledServiceTypePropertyResource)
    {
        if ( !(scheduledServiceTypePropertyResource instanceof ScheduledServiceTypePropertyResource) )
        {
            throw new ClassCastException( "ScheduledServiceTypeResource.removeProperties(scheduledServiceTypePropertyResource) parameter must be instanceof " + ScheduledServiceTypePropertyResource.class.getName() );
        }
        getProperties().remove( scheduledServiceTypePropertyResource );
    } //-- void removeProperty(ScheduledServiceTypePropertyResource) 

    /**
     * Set null
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set null
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set null
     * 
     * @param properties
     */
    public void setProperties(java.util.List properties)
    {
        this.properties = properties;
    } //-- void setProperties(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
