/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class StatusConfigurationValidationResponse implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field valid
     */
    private boolean valid = false;

    /**
     * Field modified
     */
    private boolean modified = false;

    /**
     * Field validationErrors
     */
    private java.util.List validationErrors;

    /**
     * Field validationWarnings
     */
    private java.util.List validationWarnings;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addValidationError
     * 
     * @param string
     */
    public void addValidationError(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "StatusConfigurationValidationResponse.addValidationErrors(string) parameter must be instanceof " + String.class.getName() );
        }
        getValidationErrors().add( string );
    } //-- void addValidationError(String) 

    /**
     * Method addValidationWarning
     * 
     * @param string
     */
    public void addValidationWarning(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "StatusConfigurationValidationResponse.addValidationWarnings(string) parameter must be instanceof " + String.class.getName() );
        }
        getValidationWarnings().add( string );
    } //-- void addValidationWarning(String) 

    /**
     * Method getValidationErrors
     */
    public java.util.List getValidationErrors()
    {
        if ( this.validationErrors == null )
        {
            this.validationErrors = new java.util.ArrayList();
        }
        
        return this.validationErrors;
    } //-- java.util.List getValidationErrors() 

    /**
     * Method getValidationWarnings
     */
    public java.util.List getValidationWarnings()
    {
        if ( this.validationWarnings == null )
        {
            this.validationWarnings = new java.util.ArrayList();
        }
        
        return this.validationWarnings;
    } //-- java.util.List getValidationWarnings() 

    /**
     * Get null
     */
    public boolean isModified()
    {
        return this.modified;
    } //-- boolean isModified() 

    /**
     * Get null
     */
    public boolean isValid()
    {
        return this.valid;
    } //-- boolean isValid() 

    /**
     * Method removeValidationError
     * 
     * @param string
     */
    public void removeValidationError(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "StatusConfigurationValidationResponse.removeValidationErrors(string) parameter must be instanceof " + String.class.getName() );
        }
        getValidationErrors().remove( string );
    } //-- void removeValidationError(String) 

    /**
     * Method removeValidationWarning
     * 
     * @param string
     */
    public void removeValidationWarning(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "StatusConfigurationValidationResponse.removeValidationWarnings(string) parameter must be instanceof " + String.class.getName() );
        }
        getValidationWarnings().remove( string );
    } //-- void removeValidationWarning(String) 

    /**
     * Set null
     * 
     * @param modified
     */
    public void setModified(boolean modified)
    {
        this.modified = modified;
    } //-- void setModified(boolean) 

    /**
     * Set null
     * 
     * @param valid
     */
    public void setValid(boolean valid)
    {
        this.valid = valid;
    } //-- void setValid(boolean) 

    /**
     * Set null
     * 
     * @param validationErrors
     */
    public void setValidationErrors(java.util.List validationErrors)
    {
        this.validationErrors = validationErrors;
    } //-- void setValidationErrors(java.util.List) 

    /**
     * Set null
     * 
     * @param validationWarnings
     */
    public void setValidationWarnings(java.util.List validationWarnings)
    {
        this.validationWarnings = validationWarnings;
    } //-- void setValidationWarnings(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
