/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RepositoryTargetResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field resourceURI
     */
    private String resourceURI;

    /**
     * Field id
     */
    private String id;

    /**
     * Field name
     */
    private String name;

    /**
     * Field contentClass
     */
    private String contentClass;

    /**
     * Field patterns
     */
    private java.util.List patterns;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addPattern
     * 
     * @param string
     */
    public void addPattern(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "RepositoryTargetResource.addPatterns(string) parameter must be instanceof " + String.class.getName() );
        }
        getPatterns().add( string );
    } //-- void addPattern(String) 

    /**
     * Get null
     */
    public String getContentClass()
    {
        return this.contentClass;
    } //-- String getContentClass() 

    /**
     * Get null
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get null
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Method getPatterns
     */
    public java.util.List getPatterns()
    {
        if ( this.patterns == null )
        {
            this.patterns = new java.util.ArrayList();
        }
        
        return this.patterns;
    } //-- java.util.List getPatterns() 

    /**
     * Get null
     */
    public String getResourceURI()
    {
        return this.resourceURI;
    } //-- String getResourceURI() 

    /**
     * Method removePattern
     * 
     * @param string
     */
    public void removePattern(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "RepositoryTargetResource.removePatterns(string) parameter must be instanceof " + String.class.getName() );
        }
        getPatterns().remove( string );
    } //-- void removePattern(String) 

    /**
     * Set null
     * 
     * @param contentClass
     */
    public void setContentClass(String contentClass)
    {
        this.contentClass = contentClass;
    } //-- void setContentClass(String) 

    /**
     * Set null
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set null
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set null
     * 
     * @param patterns
     */
    public void setPatterns(java.util.List patterns)
    {
        this.patterns = patterns;
    } //-- void setPatterns(java.util.List) 

    /**
     * Set null
     * 
     * @param resourceURI
     */
    public void setResourceURI(String resourceURI)
    {
        this.resourceURI = resourceURI;
    } //-- void setResourceURI(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
