/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RoleResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field resourceURI
     */
    private String resourceURI;

    /**
     * Field id
     */
    private String id;

    /**
     * Field name
     */
    private String name;

    /**
     * Field description
     */
    private String description;

    /**
     * Field sessionTimeout
     */
    private int sessionTimeout = 0;

    /**
     * Field roles
     */
    private java.util.List roles;

    /**
     * Field privileges
     */
    private java.util.List privileges;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addPrivilege
     * 
     * @param string
     */
    public void addPrivilege(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "RoleResource.addPrivileges(string) parameter must be instanceof " + String.class.getName() );
        }
        getPrivileges().add( string );
    } //-- void addPrivilege(String) 

    /**
     * Method addRole
     * 
     * @param string
     */
    public void addRole(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "RoleResource.addRoles(string) parameter must be instanceof " + String.class.getName() );
        }
        getRoles().add( string );
    } //-- void addRole(String) 

    /**
     * Get null
     */
    public String getDescription()
    {
        return this.description;
    } //-- String getDescription() 

    /**
     * Get null
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get null
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Method getPrivileges
     */
    public java.util.List getPrivileges()
    {
        if ( this.privileges == null )
        {
            this.privileges = new java.util.ArrayList();
        }
        
        return this.privileges;
    } //-- java.util.List getPrivileges() 

    /**
     * Get null
     */
    public String getResourceURI()
    {
        return this.resourceURI;
    } //-- String getResourceURI() 

    /**
     * Method getRoles
     */
    public java.util.List getRoles()
    {
        if ( this.roles == null )
        {
            this.roles = new java.util.ArrayList();
        }
        
        return this.roles;
    } //-- java.util.List getRoles() 

    /**
     * Get null
     */
    public int getSessionTimeout()
    {
        return this.sessionTimeout;
    } //-- int getSessionTimeout() 

    /**
     * Method removePrivilege
     * 
     * @param string
     */
    public void removePrivilege(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "RoleResource.removePrivileges(string) parameter must be instanceof " + String.class.getName() );
        }
        getPrivileges().remove( string );
    } //-- void removePrivilege(String) 

    /**
     * Method removeRole
     * 
     * @param string
     */
    public void removeRole(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "RoleResource.removeRoles(string) parameter must be instanceof " + String.class.getName() );
        }
        getRoles().remove( string );
    } //-- void removeRole(String) 

    /**
     * Set null
     * 
     * @param description
     */
    public void setDescription(String description)
    {
        this.description = description;
    } //-- void setDescription(String) 

    /**
     * Set null
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set null
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set null
     * 
     * @param privileges
     */
    public void setPrivileges(java.util.List privileges)
    {
        this.privileges = privileges;
    } //-- void setPrivileges(java.util.List) 

    /**
     * Set null
     * 
     * @param resourceURI
     */
    public void setResourceURI(String resourceURI)
    {
        this.resourceURI = resourceURI;
    } //-- void setResourceURI(String) 

    /**
     * Set null
     * 
     * @param roles
     */
    public void setRoles(java.util.List roles)
    {
        this.roles = roles;
    } //-- void setRoles(java.util.List) 

    /**
     * Set null
     * 
     * @param sessionTimeout
     */
    public void setSessionTimeout(int sessionTimeout)
    {
        this.sessionTimeout = sessionTimeout;
    } //-- void setSessionTimeout(int) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
