/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class ScheduledServiceBaseResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private String id;

    /**
     * Field name
     */
    private String name;

    /**
     * Field enabled
     */
    private boolean enabled = false;

    /**
     * Field typeId
     */
    private String typeId;

    /**
     * Field schedule
     */
    private String schedule;

    /**
     * Field properties
     */
    private java.util.List properties;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addProperty
     * 
     * @param scheduledServicePropertyResource
     */
    public void addProperty(ScheduledServicePropertyResource scheduledServicePropertyResource)
    {
        if ( !(scheduledServicePropertyResource instanceof ScheduledServicePropertyResource) )
        {
            throw new ClassCastException( "ScheduledServiceBaseResource.addProperties(scheduledServicePropertyResource) parameter must be instanceof " + ScheduledServicePropertyResource.class.getName() );
        }
        getProperties().add( scheduledServicePropertyResource );
    } //-- void addProperty(ScheduledServicePropertyResource) 

    /**
     * Get null
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get null
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Method getProperties
     */
    public java.util.List getProperties()
    {
        if ( this.properties == null )
        {
            this.properties = new java.util.ArrayList();
        }
        
        return this.properties;
    } //-- java.util.List getProperties() 

    /**
     * Get null
     */
    public String getSchedule()
    {
        return this.schedule;
    } //-- String getSchedule() 

    /**
     * Get null
     */
    public String getTypeId()
    {
        return this.typeId;
    } //-- String getTypeId() 

    /**
     * Get null
     */
    public boolean isEnabled()
    {
        return this.enabled;
    } //-- boolean isEnabled() 

    /**
     * Method removeProperty
     * 
     * @param scheduledServicePropertyResource
     */
    public void removeProperty(ScheduledServicePropertyResource scheduledServicePropertyResource)
    {
        if ( !(scheduledServicePropertyResource instanceof ScheduledServicePropertyResource) )
        {
            throw new ClassCastException( "ScheduledServiceBaseResource.removeProperties(scheduledServicePropertyResource) parameter must be instanceof " + ScheduledServicePropertyResource.class.getName() );
        }
        getProperties().remove( scheduledServicePropertyResource );
    } //-- void removeProperty(ScheduledServicePropertyResource) 

    /**
     * Set null
     * 
     * @param enabled
     */
    public void setEnabled(boolean enabled)
    {
        this.enabled = enabled;
    } //-- void setEnabled(boolean) 

    /**
     * Set null
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set null
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set null
     * 
     * @param properties
     */
    public void setProperties(java.util.List properties)
    {
        this.properties = properties;
    } //-- void setProperties(java.util.List) 

    /**
     * Set null
     * 
     * @param schedule
     */
    public void setSchedule(String schedule)
    {
        this.schedule = schedule;
    } //-- void setSchedule(String) 

    /**
     * Set null
     * 
     * @param typeId
     */
    public void setTypeId(String typeId)
    {
        this.typeId = typeId;
    } //-- void setTypeId(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
