/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class UserResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field resourceURI
     */
    private String resourceURI;

    /**
     * Field userId
     */
    private String userId;

    /**
     * Field name
     */
    private String name;

    /**
     * Field status
     */
    private String status;

    /**
     * Field email
     */
    private String email;

    /**
     * Field roles
     */
    private java.util.List roles;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addRole
     * 
     * @param string
     */
    public void addRole(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "UserResource.addRoles(string) parameter must be instanceof " + String.class.getName() );
        }
        getRoles().add( string );
    } //-- void addRole(String) 

    /**
     * Get null
     */
    public String getEmail()
    {
        return this.email;
    } //-- String getEmail() 

    /**
     * Get null
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Get null
     */
    public String getResourceURI()
    {
        return this.resourceURI;
    } //-- String getResourceURI() 

    /**
     * Method getRoles
     */
    public java.util.List getRoles()
    {
        if ( this.roles == null )
        {
            this.roles = new java.util.ArrayList();
        }
        
        return this.roles;
    } //-- java.util.List getRoles() 

    /**
     * Get null
     */
    public String getStatus()
    {
        return this.status;
    } //-- String getStatus() 

    /**
     * Get null
     */
    public String getUserId()
    {
        return this.userId;
    } //-- String getUserId() 

    /**
     * Method removeRole
     * 
     * @param string
     */
    public void removeRole(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "UserResource.removeRoles(string) parameter must be instanceof " + String.class.getName() );
        }
        getRoles().remove( string );
    } //-- void removeRole(String) 

    /**
     * Set null
     * 
     * @param email
     */
    public void setEmail(String email)
    {
        this.email = email;
    } //-- void setEmail(String) 

    /**
     * Set null
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set null
     * 
     * @param resourceURI
     */
    public void setResourceURI(String resourceURI)
    {
        this.resourceURI = resourceURI;
    } //-- void setResourceURI(String) 

    /**
     * Set null
     * 
     * @param roles
     */
    public void setRoles(java.util.List roles)
    {
        this.roles = roles;
    } //-- void setRoles(java.util.List) 

    /**
     * Set null
     * 
     * @param status
     */
    public void setStatus(String status)
    {
        this.status = status;
    } //-- void setStatus(String) 

    /**
     * Set null
     * 
     * @param userId
     */
    public void setUserId(String userId)
    {
        this.userId = userId;
    } //-- void setUserId(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
